package com.njcn.mapper.configuration;

import com.njcn.pojo.configuration.GDInformation;
import com.njcn.pojo.excelBody.GDExcelBody;
import org.apache.ibatis.annotations.Param;
import tk.mybatis.mapper.common.Mapper;

import java.util.List;

public interface GDInforMapper extends Mapper<GDInformation> {

	List<GDInformation> selectAll();
	/**
	 * 根据供电公司索引获取供电公司名称
	 */
	String getGdName(Long gdIndex);

	Long selectMaxIndex();

	List<GDInformation> selectNoGd(@Param("sysType")String sysType);

	List<GDInformation> selectOthersNoGd(@Param("deptsIndex")String deptsIndex,@Param("sysType")String sysType);

	List<GDInformation> testName(@Param("name") String name, @Param("proIndex") Long proIndex);

	//获取该表所有数据，提供excel导出
	List<GDExcelBody> selectAllExcelData();
}
